<div>
    <h2 id="page-heading">
        <span jhiTranslate="icyTrainApp.train.home.title">Trains</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-train" [routerLink]="['/train/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="icyTrainApp.train.home.createLabel">
            Create a new Train
            </span>
        </button>
    </h2>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="trains?.length === 0">
        <span jhiTranslate="icyTrainApp.train.home.notFound">No trains found</span>
    </div>
    <div class="table-responsive" *ngIf="trains?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr>
            <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
            <th scope="col" ><span jhiTranslate="icyTrainApp.train.name">Name</span></th>
            <th scope="col" ><span jhiTranslate="icyTrainApp.train.numOfCars">Num Of Cars</span></th>
            <th scope="col" ><span jhiTranslate="icyTrainApp.train.voyage">Voyage</span></th>
            <th scope="col"></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let train of trains ;trackBy: trackId">
                <td><a [routerLink]="['/train', train.id, 'view' ]">{{train.id}}</a></td>
                <td>{{train.name}}</td>
                <td>{{train.numOfCars}}</td>
                <td>
                    <div *ngIf="train.voyage">
                        <a [routerLink]="['/voyage', train.voyage?.id, 'view' ]" >{{train.voyage?.id}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/train', train.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/train', train.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(train)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
